RDKit::FMCS::NewBond Struct Reference

`#include <Seed.h>`

## Public Member Functions

| NewBond ()
| NewBond (unsigned from_atom, unsigned bond_idx, unsigned new_atom, unsigned to_atom, const Atom *a)

## Public Attributes

unsigned | SourceAtomIdx
unsigned | BondIdx
unsigned | NewAtomIdx
const Atom * | NewAtom
unsigned | EndAtomIdx

## Detailed Description

Definition at line 33 of file Seed.h.

## Constructor & Destructor Documentation

## NewBond() [1/2]

RDKit::FMCS::NewBond::NewBond | ( |  | ) |

inline

Definition at line 44 of file Seed.h.

## NewBond() [2/2]

RDKit::FMCS::NewBond::NewBond | ( | unsigned | from_atom,
|  | unsigned | bond_idx,
|  | unsigned | new_atom,
|  | unsigned | to_atom,
|  | const Atom * | a
| ) |  |

inline

Definition at line 51 of file Seed.h.

## Member Data Documentation

## BondIdx

unsigned RDKit::FMCS::NewBond::BondIdx

Definition at line 35 of file Seed.h.

## EndAtomIdx

unsigned RDKit::FMCS::NewBond::EndAtomIdx

Definition at line 41 of file Seed.h.

## NewAtom

const Atom* RDKit::FMCS::NewBond::NewAtom

Definition at line 39 of file Seed.h.

## NewAtomIdx

unsigned RDKit::FMCS::NewBond::NewAtomIdx

Definition at line 37 of file Seed.h.

## SourceAtomIdx

unsigned RDKit::FMCS::NewBond::SourceAtomIdx

Definition at line 34 of file Seed.h.

The documentation for this struct was generated from the following file:

- Seed.h